%define version 0.3
%define release %mkrel 2

Summary:	Python MathML renderer
Name:		pymathml
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
URL:		http://pymathml.sf.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-devel
Requires:	python-libxml2
# rendering backends
Requires:	libnxplot-python
Requires:	pygtk2.0

%description
The goal of %{name} is to create a system-independent MathML
rendering engine in Python. This engine works with an abstract
'plotter' driver class, that can be subclassed for any rendering
device needed.

%prep
%setup -q

%build
python ./setup.py build

%install
rm -rf %{buildroot}
python ./setup.py install --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS PKG-INFO README
%{_libdir}/python?.?/site-packages/*

%changelog
* Tue Aug 23 2005 Abel Cheung <deaddog@mandriva.org> 0.3-2mdk
- Change arch

* Tue Aug 23 2005 Abel Cheung <deaddog@mandriva.org> 0.3-1mdk
- New release 0.3
- rpmbuildupdate aware URL

* Mon Apr 18 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.2-5mdk
- Fixed Requires for X86-64.

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.2-4mdk
- Rebuild for new python

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.2-3mdk
- Yet another fix...

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 0.2-2mdk
- Fix BuildRequires

* Thu Oct 28 2004 Abel Cheung <deaddog@mandrake.org> 0.2-1mdk
- First Mandrake package
